/***********************************************************************************
 *
 *  EXAMPLE FOR THE USE OF THE ALERTS LIBRARY
 *
 *  v07/10/2018
 *
 *  (c) 2018 Rolf van Gelder / CAGE Web Design (cagewebdev.com)
 * 
 ***********************************************************************************/

// IMPORT THE ALERTS LIBRARY
import com.cage.alerts4p.*;

// ALERT OBJECT
Alerts4P alert;

// BEGIN- AND END COLORS FOR GRADIENT
color c1 = color(230, 80, 0);
color c2 = color(0, 80, 230);

/***********************************************************************************
 *
 *  SETUP
 * 
 ***********************************************************************************/
void setup() {
  size(400, 400);

  // CREATE AND INITIALIZE THE ALERTS INSTANCE
  alert = new Alerts4P(this);

  // DISPLAY VERSION OF THE LIBRARY
  alert.version();
  // SET THE TEXT COLOR
  alert.setTextColor(255);
  // SET THE STROKE COLOR
  alert.setStrokeColor(255);
  // SET THE STROKE WEIGHT
  alert.setStrokeWeight(3);
  // SET THE TEXT SIZE
  alert.setTextSize(18);
} // setup()


/***********************************************************************************
 *
 *  DRAW
 * 
 ***********************************************************************************/
void draw() {
  background(0);

  // DRAW GRADIENT
  drawGradient(0, 0, width, height, c2, c1);

  // DISPLAY ALERT (IF AVAILABLE)
  alert.display();
} // draw()


/***********************************************************************************
 *
 *  DRAW THE GRADIENT
 * 
 ***********************************************************************************/
void drawGradient(int x, int y, float w, float h, color c1, color c2) {
  for (int i = x; i <= x+w; i++) {
    float inter = map(i, x, x+w, 0, 1);
    color c = lerpColor(c1, c2, inter);
    stroke(c);
    line(i, y, i, y+h);
  } // for (int i = x; i <= x+w; i++)
} // drawGradient(


/***********************************************************************************
 *
 *  MOUSE HANDLER
 * 
 ***********************************************************************************/
void mousePressed() {
  alert.setBgColor(get(mouseX, mouseY));
  alert.setAlert("You picked this color", 1500);
} // mousePressed()
