/***********************************************************************************
 *
 *  EXAMPLE FOR THE USE OF THE ALERTS4P LIBRARY - MULTIPLE ALERTS
 *
 *  IT POPS UP TWO ALERTS, EVERY 5 SECONDS
 *
 *  v07/10/2018
 *
 *  (c) 2018 Rolf van Gelder / CAGE Web Design (cagewebdev.com)
 * 
 ***********************************************************************************/

// IMPORT THE ALERTS LIBRARY
import com.cage.alerts4p.*;

// ALERT OBJECTS
Alerts4P alert1;
Alerts4P alert2;

/***********************************************************************************
 *
 *  SETUP
 * 
 ***********************************************************************************/
void setup() {
  size(400, 400);

  // CREATE AND INITIALIZE THE FIRST ALERT INSTANCE

  // USE A SPECIFIC POSITION FOR THE ALERT
  alert1 = new Alerts4P(this, width/2, 80);

  // SET SOME LAY-OUT PROPERTIES
  alert1.setBgColor(color(229, 235, 249));
  alert1.setRectRadius(30);
  alert1.setStrokeColor(color(0, 0, 255));
  alert1.setStrokeWeight(3);
  alert1.setTextSize(22);

  // CREATE AND INITIALIZE THE SECOND ALERT INSTANCE

  // POSITION CENTERED ON THE CANVAS
  alert2 = new Alerts4P(this);

  // DISPLAY VERSION OF THE LIBRARY
  alert2.version();

  // SET SOME LAY-OUT PROPERTIES
  alert2.setRectRadius(0);
  alert2.setStrokeWeight(1);
  alert2.setTextColor(color(200, 0, 0));
  alert2.setTextSize(18);
} // setup()


/***********************************************************************************
 *
 *  DRAW
 * 
 ***********************************************************************************/
void draw() {
  background(200);

  if (second() % 5 == 0) {
    // DISPLAY THE ALERT FOR 200O MS (= 2 seconds)
    alert1.setAlert(nf(hour(), 2) + ":" + nf(minute(), 2) + ":" + nf(second(), 2), 2000);
  }

  if (second() % 5 == 0) {
    // DISPLAY THE ALERT FOR 50 MS (= .5 seconds)
    alert2.setAlert(nf(hour(), 2) + ":" + nf(minute(), 2) + ":" + nf(second(), 2), 500);
  }  

  // DISPLAY ALERTS (IF AVAILABLE)
  alert1.display();
  alert2.display();
} // draw()
